### Method

# Adw ViewSwitcherSidebar set_mode

since: 1.9

#### Declaration [src]

    void
    adw_view_switcher_sidebar_set_mode (
      AdwViewSwitcherSidebar* self,
      AdwSidebarMode mode
    )

#### Description [src]

Sets `self`‘s look and behavior.

If set to `ADW_SIDEBAR_MODE_SIDEBAR`, behaves like a sidebar: with a sidebar style and a persistent selection.

If set to `ADW_SIDEBAR_MODE_PAGE`, behaves like a page of boxed lists. In this mode, the selection is invisible and only tracked to determine the initially selected item once switched back to sidebar mode.

The page mode is intended to be used with `AdwNavigationSplitView` when collapsed, as the sidebar pane becomes a page there.

When used with `AdwOverlaySplitView`, the sidebar should stay in sidebar mode, as the sidebar pane is still a sidebar when collapsed.

See `adw_sidebar_set_mode()`.

Available since: 1.9

Sets property | `Adw.ViewSwitcherSidebar:mode`

#### Parameters

`mode`

  Type: `AdwSidebarMode`

  The new mode.